Subject: RE: [rddp] URGENT: Local Peer and Remote Peer - Do we need RDDPchanges?

From: "Jim Pinkerton" <[email-masked]>
Date: Tue, 27 Sep 2005 18:55:06 -0700

I agree with Caitlin's summary. The key here is a specification that
clearly states how to interoperate. My scan of the texts agrees with
Caitlin's summary - when reading the text it's always clear on whether
it's the ULP or the RDMAP/DDP protocol implementation. 

Jim

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
Of
> Caitlin Bestler
> Sent: Wednesday, September 21, 2005 5:01 PM
> To: [email-masked]; [email-masked]; [email-masked]
> Subject: RE: [rddp] URGENT: Local Peer and Remote Peer - Do we need
> RDDPchanges?
> 
> 
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] On
> > Behalf Of [email-masked]
> > Sent: Wednesday, September 21, 2005 11:10 AM
> > To: [email-masked]; [email-masked]
> > Subject: [rddp] URGENT: Local Peer and Remote Peer - Do we
> > need RDDP changes?
> > Importance: High
> >
> > We have an issue that requires some immediate attention.  I
> > was under the impression that the issues with Local Peer and
> > Remote Peer usage found in review of the iSER draft did not
> > require any changes to the RDMAP and DDP drafts.  I have now
> > been informed that this is not a completely obvious or
> > universally held viewpoint.  We need to decide whether to
> > change these drafts in fairly short order.
> >
> > The issue is that depending on context, the terms "Local
> > Peer" and "Remote Peer" in the RDMAP and DDP drafts may refer
> > to either the RDMAP/DDP protocol implementation or the ULP
> > that is using RDMAP/DDP.
> > See below for a longer explanation that Mike Ko originally
> > wrote last week.
> >
> > We need to choose one of the following two alternatives:
> > (1) The intent of each usage is clear from context.  An implementer
> > 	will have no difficulty understanding what was meant.  No
> > 	text change is needed.
> 
> After rescanning the drafts, I am thoroughly convinced that
> each usage of "Remote Peer" or "Local Peer" in the text is
> unambiguous. The terms are generally used to refer to the
> consumer of RDMA services. The terms are frequently used
> in conjunction with the specific layer, i.e. "Remote Peer
> ULP". The few cases where there is no explicit clarification
> the subject is clear in context, for example that the Local
> Peer is a consumer of RDMA service (and hence is the ULP).
> 
> The definitions are the closest there is to misleading text.
> But there is definitely nothing that would leave any question
> in the minds of any implementer as to what layer was responsible
> for implementing any specific behavior described.
> 
> 
> _______________________________________________
> rddp mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/rddp

_______________________________________________
rddp mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rddp